com.tibbo.aggregate.common.expression

## Class AbstractReferenceResolver

- java.lang.Object
- - com.tibbo.aggregate.common.expression.AbstractReferenceResolver

- All Implemented Interfaces:
    ReferenceResolver
  Direct Known Subclasses:
    DefaultReferenceResolver, EnvironmentReferenceResolver, EventEnvironmentResolver

      public abstract class AbstractReferenceResolver
      extends java.lang.Object
      implements ReferenceResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReferenceResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContextManager(java.lang.String schema, ContextManager cm)`
    `CallerController` | `getCallerController()`
    `ContextManager` | `getContextManager()`
    `Context` | `getDefaultContext()`
    `java.lang.Integer` | `getDefaultRow()`
    `DataTable` | `getDefaultTable()`
    `Evaluator` | `getEvaluator()`
    `void` | `setCallerController(CallerController callerController)`
    `void` | `setContextManager(ContextManager contextManager)`
    `void` | `setDefaultContext(Context defaultContext)`
    `void` | `setDefaultRow(java.lang.Integer defaultRow)`
    `void` | `setDefaultTable(DataTable defaultTable)`
    `void` | `setEvaluator(Evaluator evaluator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.expression.ReferenceResolver

      `resolveReference`

- - ### Constructor Detail

    - #### AbstractReferenceResolver

          public AbstractReferenceResolver()

  - ### Method Detail

    - #### getCallerController

          public CallerController getCallerController()

      Specified by:
        `getCallerController` in interface `ReferenceResolver`

    - #### getDefaultContext

          public Context getDefaultContext()

      Specified by:
        `getDefaultContext` in interface `ReferenceResolver`

    - #### getContextManager

          public ContextManager getContextManager()

      Specified by:
        `getContextManager` in interface `ReferenceResolver`

    - #### getDefaultRow

          public java.lang.Integer getDefaultRow()

      Specified by:
        `getDefaultRow` in interface `ReferenceResolver`

    - #### getDefaultTable

          public DataTable getDefaultTable()

      Specified by:
        `getDefaultTable` in interface `ReferenceResolver`

    - #### getEvaluator

          public Evaluator getEvaluator()

      Specified by:
        `getEvaluator` in interface `ReferenceResolver`

    - #### addContextManager

          public void addContextManager(java.lang.String schema,
                                        ContextManager cm)

    - #### setCallerController

          public void setCallerController(CallerController callerController)

      Specified by:
        `setCallerController` in interface `ReferenceResolver`

    - #### setDefaultContext

          public void setDefaultContext(Context defaultContext)

      Specified by:
        `setDefaultContext` in interface `ReferenceResolver`

    - #### setContextManager

          public void setContextManager(ContextManager contextManager)

      Specified by:
        `setContextManager` in interface `ReferenceResolver`

    - #### setDefaultRow

          public void setDefaultRow(java.lang.Integer defaultRow)

      Specified by:
        `setDefaultRow` in interface `ReferenceResolver`

    - #### setDefaultTable

          public void setDefaultTable(DataTable defaultTable)

      Specified by:
        `setDefaultTable` in interface `ReferenceResolver`

    - #### setEvaluator

          public void setEvaluator(Evaluator evaluator)

      Specified by:
        `setEvaluator` in interface `ReferenceResolver`